Bug 142098 - missing expression in return statement
missing expression in return statement
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomedb (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-07 05:38 EST by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: libgnomedb-1.0.4-4.i386.rpm
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-10 03:30:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-12-07 05:38:28 EST
Description of problem:

I just tried to compile package libgnomedb-1.0.4-3 from 
Redhat Fedora Core 3.

The compiler said

gnome-db-grid.c(368): warning #117: non-void function
"popup_button_pressed_cb" should return a value

The source code is

        g_return_if_fail (GNOME_DB_IS_GRID (grid));

but

static gint
popup_button_pressed_cb (GtkWidget *widget, GdkEventButton *event,
gpointer user_data)
{

I agree with the compiler. This code would benefit from re-work to ensure
that this non-void function does return a value.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Caolan McNamara 2004-12-07 06:10:36 EST
Accepted: I'll build a new rawhide package with the fix: Fix reported
and attached upstream to http://bugzilla.gnome.org/show_bug.cgi?id=160672
Comment 2 Caolan McNamara 2004-12-10 03:30:07 EST
available as rawhide libgnomedb-1.0.4-4

Note You need to log in before you can comment on or make changes to this bug.